Package twisted :: Package lore :: Module latex

[show private | hide private]
[frames | no frames]

## Module twisted.lore.latex

Classes
`BaseLatexSpitter` |
`ChapterLatexSpitter` |
`FootnoteLatexSpitter` | For multi-paragraph footnotes, this avoids having an empty leading paragraph.
`HeadingLatexSpitter` |
`LatexSpitter` |
`SectionLatexSpitter` |

Function Summary
| `convertFile(filename, spitterClass)`
| `getLatexText(node, writer, filter, entities)`
| `latexEscape(text)`
| `processFile(spitter, fin)`

Variable Summary
`dictionary` | `entities`
`SRE_Pattern` | `escapingRE`
`SRE_Pattern` | `lowerUpperRE`

Variable Details

### entities

  Type:
    `dictionary`
  Value:

        {'quot': '"', 'copy': '\\copyright', 'gt': '>', 'lt': '<', 'amp': '&'}

### escapingRE

  Type:
    `SRE_Pattern`
  Value:

        ([#\$%&_\{\}\^~\\])

### lowerUpperRE

  Type:
    `SRE_Pattern`
  Value:

        ([a-z])([A-Z])

Generated by Epydoc 1.1 on Sat Feb 15 21:19:07 2003 | http://epydoc.sf.net